
function setHealthText()
  if UnitIsDead("target") then
    mobHealthTextFrame:Hide()
  else 
    mobHealthTextFrame:Show()
	local hp = UnitHealth("target")
	local maxhp = UnitHealthMax("target")
	local percentage = math.floor((hp/maxhp)*100)
	
    mobHealthTextFrame:SetText(hp .."(" .. percentage .. ")")
  end
end

function handleTargetChanged()
   if not UnitExists("target") then
     mobHealthTextFrame:Hide()
   else
     setHealthText()
   end
end

function handleUnitHealth(who)
   if not (who == "target") then
     return
   end
   setHealthText()
end

local eventHandle=function(self, event, arg1, ...)
   if event == "PLAYER_TARGET_CHANGED" then
       handleTargetChanged()
   elseif event == "UNIT_HEALTH" then
       handleUnitHealth(arg1)
   end
end

local onShowTargetFrameHealthBar=function(self, event, arg1, ...)
   if _G["TargetFrameHealthBar"]:IsVisible() then
     mobHealthTextFrame:Show()
   else
     mobHealthTextFrame:Hide()
   end
end
	

local frame = CreateFrame("Frame")
frame:RegisterEvent("UNIT_HEALTH");
frame:RegisterEvent("PLAYER_TARGET_CHANGED");
frame:SetScript("OnEvent", eventHandle)

mobHealthTextFrame = frame:CreateFontString(nil, "OVERLAY", "ChatFontSmall")
mobHealthTextFrame:SetPoint("CENTER",_G["TargetFrameHealthBar"],"CENTER",0,0)



